Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/CARD/Chistorical/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/CARD/Chistorical/COMP/lmdz.card	(revision 1549)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/CARD/Chistorical/COMP/lmdz.card	(revision 1550)
@@ -7,4 +7,9 @@
 # LMDZ_Physics=NPv3.0 for new physics, to be used with LMDZ5/trunk revision 1554 or later
 LMDZ_Physics=AP
+
+# Set ConfType to choose parameters for aerosols, solar and green house gazes. 
+# The parameter file PARAM/config.def_$ConfType will be used.
+# ConfType=preind/actuel/annuel
+ConfType=annuel
 
 ByPass_hgardfou_teta=n
@@ -14,4 +19,8 @@
 # To force usage of this Bands file, put LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart experiment
 # LMDZ_Bands_file_name=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/pdControl/XXXXXX/ATM/Debug/pdControl_XXXXXXX_Bands_96x95x19_3prc.dat_3
+
+# Set OutLevel to choose the level of output files from LMDZ. The file PARAM/output.def_$OutLevel will be used.
+# OutLevel=low/medium/high
+OutLevel=high
 
 # To force higher writing level for aerosol. 
@@ -71,6 +80,6 @@
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
 	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
-	(${SUBMIT_DIR}/PARAM/output.def, .), \
-	(${SUBMIT_DIR}/PARAM/config.def, .), \
+	(${SUBMIT_DIR}/PARAM/output.def_${OutLevel},  output.def),    \
+	(${SUBMIT_DIR}/PARAM/config.def_${ConfType},  config.def),    \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/CARD/CpiControl/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/CARD/CpiControl/COMP/lmdz.card	(revision 1549)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/CARD/CpiControl/COMP/lmdz.card	(revision 1550)
@@ -7,4 +7,9 @@
 # LMDZ_Physics=NPv3.0 for new physics, to be used with LMDZ5/trunk revision 1554 or later
 LMDZ_Physics=AP
+
+# Set ConfType to choose parameters for aerosols, solar and green house gazes. 
+# The parameter file PARAM/config.def_$ConfType will be used.
+# ConfType=preind/actuel/annuel
+ConfType=preind
 
 ByPass_hgardfou_teta=n
@@ -14,4 +19,8 @@
 # To force usage of this Bands file, put LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart experiment
 # LMDZ_Bands_file_name=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/pdControl/XXXXXX/ATM/Debug/pdControl_XXXXXXX_Bands_96x95x19_3prc.dat_3
+
+# Set OutLevel to choose the level of output files from LMDZ. The file PARAM/output.def_$OutLevel will be used.
+# OutLevel=low/medium/high
+OutLevel=medium
 
 # To force higher writing level for aerosol. 
@@ -64,6 +73,6 @@
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
 	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
-	(${SUBMIT_DIR}/PARAM/output.def, .), \
-	(${SUBMIT_DIR}/PARAM/config.def, .), \
+	(${SUBMIT_DIR}/PARAM/output.def_${OutLevel},  output.def),    \
+	(${SUBMIT_DIR}/PARAM/config.def_${ConfType},  config.def),    \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/CARD/EXP00/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/CARD/EXP00/COMP/lmdz.card	(revision 1549)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/CARD/EXP00/COMP/lmdz.card	(revision 1550)
@@ -7,4 +7,9 @@
 # LMDZ_Physics=NPv3.0 for new physics, to be used with LMDZ5/trunk revision 1554 or later
 LMDZ_Physics=AP
+
+# Set ConfType to choose parameters for aerosols, solar and green house gazes. 
+# The parameter file PARAM/config.def_$ConfType will be used.
+# ConfType=preind/actuel/annuel
+ConfType=actuel
 
 ByPass_hgardfou_teta=n
@@ -14,4 +19,8 @@
 # To force usage of this Bands file, put LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart experiment
 # LMDZ_Bands_file_name=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/pdControl/XXXXXX/ATM/Debug/pdControl_XXXXXXX_Bands_96x95x19_3prc.dat_3
+
+# Set OutLevel to choose the level of output files from LMDZ. The file PARAM/output.def_$OutLevel will be used.
+# OutLevel=low/medium/high
+OutLevel=low
 
 # To force higher writing level for aerosol. 
@@ -60,6 +69,6 @@
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
 	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
-	(${SUBMIT_DIR}/PARAM/output.def, .), \
-	(${SUBMIT_DIR}/PARAM/config.def, .), \
+	(${SUBMIT_DIR}/PARAM/output.def_${OutLevel},  output.def),    \
+	(${SUBMIT_DIR}/PARAM/config.def_${ConfType},  config.def),    \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/CARD/historical/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/CARD/historical/COMP/lmdz.card	(revision 1549)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/CARD/historical/COMP/lmdz.card	(revision 1550)
@@ -7,4 +7,9 @@
 # LMDZ_Physics=NPv3.0 for new physics, to be used with LMDZ5/trunk revision 1554 or later
 LMDZ_Physics=AP
+
+# Set ConfType to choose parameters for aerosols, solar and green house gazes. 
+# The parameter file PARAM/config.def_$ConfType will be used.
+# ConfType=preind/actuel/annuel
+ConfType=annuel
 
 ByPass_hgardfou_teta=n
@@ -14,4 +19,8 @@
 # To force usage of this Bands file, put LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart experiment
 # LMDZ_Bands_file_name=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/pdControl/XXXXXX/ATM/Debug/pdControl_XXXXXXX_Bands_96x95x19_3prc.dat_3
+
+# Set OutLevel to choose the level of output files from LMDZ. The file PARAM/output.def_$OutLevel will be used.
+# OutLevel=low/medium/high
+OutLevel=high
 
 # To force higher writing level for aerosol. 
@@ -67,6 +76,6 @@
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
 	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
-	(${SUBMIT_DIR}/PARAM/output.def, .), \
-	(${SUBMIT_DIR}/PARAM/config.def, .), \
+	(${SUBMIT_DIR}/PARAM/output.def_${OutLevel},  output.def), \
+	(${SUBMIT_DIR}/PARAM/config.def_${ConfType},  config.def),    \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/CARD/piControl/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/CARD/piControl/COMP/lmdz.card	(revision 1549)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/CARD/piControl/COMP/lmdz.card	(revision 1550)
@@ -7,4 +7,9 @@
 # LMDZ_Physics=NPv3.0 for new physics, to be used with LMDZ5/trunk revision 1554 or later
 LMDZ_Physics=AP
+
+# Set ConfType to choose parameters for aerosols, solar and green house gazes. 
+# The parameter file PARAM/config.def_$ConfType will be used.
+# ConfType=preind/actuel/annuel
+ConfType=preind
 
 ByPass_hgardfou_teta=n
@@ -14,4 +19,8 @@
 # To force usage of this Bands file, put LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart experiment
 # LMDZ_Bands_file_name=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/pdControl/XXXXXX/ATM/Debug/pdControl_XXXXXXX_Bands_96x95x19_3prc.dat_3
+
+# Set OutLevel to choose the level of output files from LMDZ. The file PARAM/output.def_$OutLevel will be used.
+# OutLevel=low/medium/high
+OutLevel=medium
 
 # To force higher writing level for aerosol. 
@@ -59,6 +68,6 @@
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
 	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
-	(${SUBMIT_DIR}/PARAM/output.def, .), \
-	(${SUBMIT_DIR}/PARAM/config.def, .), \
+	(${SUBMIT_DIR}/PARAM/output.def_${OutLevel},  output.def),    \
+	(${SUBMIT_DIR}/PARAM/config.def_${ConfType},  config.def),    \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/DRIVER/lmdz.driver	(revision 1549)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/DRIVER/lmdz.driver	(revision 1550)
@@ -46,4 +46,15 @@
     echo LMDZ physics version : ${LMDZ_Physics}
 
+    ## - LMDZ choice of config.def file
+    ##   ConfType must be set in lmdz.card
+    ConfType=${lmdz_UserChoices_ConfType}
+
+    ##- LMDZ output level, to be set in lmdz.card
+    if [ X${lmdz_UserChoices_OutLevel} = X ] ; then
+	# OutLevel is not set. Take default value low.
+	OutLevel=low
+    else
+	OutLevel=${lmdz_UserChoices_OutLevel}
+    fi
 
     ##-- Output frequency purpose ....
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/DRIVER/pisces.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/DRIVER/pisces.driver	(revision 1549)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/DRIVER/pisces.driver	(revision 1550)
@@ -30,4 +30,9 @@
 {
     IGCM_debug_PushStack "MBG_Update"
+
+    # Local function to find parameters in LMDZ .def files
+    lmdzgrep () {
+	grep $1 $2 |grep -v "#" | awk "-F=" '{print $2}'
+    }
 
     ##-- Restart configuration
@@ -75,5 +80,5 @@
     IGCM_sys_Mv iodef.xml.tmp iodef.xml
 
-    ##-- CO2 forcing : update atcco2 value in namelist_pisces for some cases
+    ##-- CO2 forcing : update atcco2 value in namelist_pisces
     if [ "${piseces_UserChoices_CARBON_CYCLE}" = "y" ]; then
        	# Special case for carbon cycle
@@ -86,9 +91,10 @@
 	    namelist_pisces > namelist_pisces.tmp
 	IGCM_sys_Mv namelist_pisces.tmp namelist_pisces
-    elif [ -f CO2.txt ] ; then
-	# This case is activated if the file CO2.txt is found in run directory, add file in BoundaryFiles in pisces.card or lmdz.card
-	echo 'Update atcco2 in namelist_pisces with annual value from file CO2.txt'
-	IPCC_PIS_CO2=`grep Annee_${year} CO2.txt | awk -F= '{print $2}'`
-	sed -e "s%${PAT_PIS_ATCCO2}%          atcco2=${IPCC_PIS_CO2}%"             \
+    else
+	# Take same CO2 as for LMDZ, in parameter file config.def.
+	# ATM_Update is done before MBG_Update and therefor config.def file contains the correct value for CO2.
+	echo 'Update atcco2 in namelist_pisces with same value as for LMDZ'
+	LMDZ_CO2=$( lmdzgrep co2_ppm config.def )
+	sed -e "s%${PAT_PIS_ATCCO2}%          atcco2=${LMDZ_CO2}%"             \
 	    namelist_pisces > namelist_pisces.tmp
 	IGCM_sys_Mv namelist_pisces.tmp namelist_pisces
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/config.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/config.def	(revision 1549)
+++ 	(revision )
@@ -1,59 +1,0 @@
-##  Cycle diurne  ou non                 
-cycle_diurne=y
-##  Soil Model  ou non               
-soil_model=y
-
-## Nombre  d'appels des routines de rayonnements ( par jour)                 
-nbapp_rad=24
-
-##  Facteur additif pour l'albedo
-pmagic=0.008
-
-#
-# Parametres "orbitaux/ ere geologique"
-#
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1366.0896
-#
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 0.36886500E+03
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 0.17510225E+04
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 0.31585000E+03
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 5.18015181E+01
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 0.99862742E+03
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
-aer_type=actuel
-###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
-flag_aerosol=6 
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametre de lecture de l'ozone
-#
-# Allowed values are 0, 1 and 2
-# 0: do not read an ozone climatology
-# 1: read a single ozone climatology that will be used day and night
-# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
-#
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/config.def_actuel
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/config.def_actuel	(revision 1550)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/config.def_actuel	(revision 1550)
@@ -0,0 +1,58 @@
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=24
+
+##  Facteur additif pour l'albedo
+pmagic=0.008
+
+#
+# Parametres "orbitaux/ ere geologique"
+#
+### R_ecc =      Excentricite
+R_ecc = 0.016715
+### R_peri =     Equinoxe
+R_peri = 102.7
+### R_incl =     Inclinaison
+R_incl = 23.441
+### solaire =    Constante solaire
+solaire = 1366.0896
+#
+# Taux gaz a effet de serre
+#
+### co2_ppm =    taux CO2 en ppm
+co2_ppm = 0.36886500E+03
+### CH4_ppb =    taux CH4 en ppb
+CH4_ppb = 0.17510225E+04
+### N2O_ppb =    taux N2O en ppb
+N2O_ppb = 0.31585000E+03
+### CFC11_ppt =  taux CFC11 en ppt
+CFC11_ppt = 5.18015181E+01
+### CFC12_ppt =  taux CFC12 en ppt
+CFC12_ppt = 0.99862742E+03
+#
+# Parametres effets directs/indirects des "aerosols"
+#
+### ok_ade=y/n   flag Aerosol direct effect
+ok_ade=y
+### ok_aie=y/n   flag Aerosol indirect effect
+ok_aie=y
+### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
+aer_type=actuel
+###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
+flag_aerosol=6 
+### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b0=1.7
+### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b1=0.2
+#
+# Parametre de lecture de l'ozone
+#
+# Allowed values are 0, 1 and 2
+# 0: do not read an ozone climatology
+# 1: read a single ozone climatology that will be used day and night
+# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
+read_climoz=2
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/config.def_annuel
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/config.def_annuel	(revision 1550)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/config.def_annuel	(revision 1550)
@@ -0,0 +1,58 @@
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=24
+
+##  Facteur additif pour l'albedo
+pmagic=0.0
+
+#
+# Parametres "orbitaux/ ere geologique"
+#
+### R_ecc =      Excentricite
+R_ecc = 0.016715
+### R_peri =     Equinoxe
+R_peri = 102.7
+### R_incl =     Inclinaison
+R_incl = 23.441
+### solaire =    Constante solaire
+solaire = auto 
+#
+# Taux gaz a effet de serre
+#
+### co2_ppm =    taux CO2 en ppm
+co2_ppm = auto
+### CH4_ppb =    taux CH4 en ppb
+CH4_ppb = auto
+### N2O_ppb =    taux N2O en ppb
+N2O_ppb = auto
+### CFC11_ppt =  taux CFC11 en ppt
+CFC11_ppt = auto
+### CFC12_ppt =  taux CFC12 en ppt
+CFC12_ppt = auto
+#
+# Parametres effets directs/indirects des "aerosols"
+#
+### ok_ade=y/n   flag Aerosol direct effect
+ok_ade=y
+### ok_aie=y/n   flag Aerosol indirect effect
+ok_aie=y
+### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
+aer_type=annuel
+###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
+flag_aerosol=6 
+### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b0=1.7
+### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b1=0.2
+#
+# Parametre de lecture de l'ozone
+#
+# Allowed values are 0, 1 and 2
+# 0: do not read an ozone climatology
+# 1: read a single ozone climatology that will be used day and night
+# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
+read_climoz=2
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/config.def_preind
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/config.def_preind	(revision 1550)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/config.def_preind	(revision 1550)
@@ -0,0 +1,58 @@
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=24
+
+##  Facteur additif pour l'albedo
+pmagic=0.0
+
+#
+# Parametres "orbitaux/ ere geologique"
+#
+### R_ecc =      Excentricite
+R_ecc = 0.016715
+### R_peri =     Equinoxe
+R_peri = 102.7
+### R_incl =     Inclinaison
+R_incl = 23.441
+### solaire =    Constante solaire
+solaire = 1365.6537
+#
+# Taux gaz a effet de serre
+#
+### co2_ppm =    taux CO2 en ppm
+co2_ppm = 0.28472500E+03
+### CH4_ppb =    taux CH4 en ppb
+CH4_ppb = 0.79097924E+03
+### N2O_ppb =    taux N2O en ppb
+N2O_ppb = 0.27542506E+03
+### CFC11_ppt =  taux CFC11 en ppt
+CFC11_ppt = 0.
+### CFC12_ppt =  taux CFC12 en ppt
+CFC12_ppt = 0.
+#
+# Parametres effets directs/indirects des "aerosols"
+#
+### ok_ade=y/n   flag Aerosol direct effect
+ok_ade=y
+### ok_aie=y/n   flag Aerosol indirect effect
+ok_aie=y
+### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
+aer_type=preind
+###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
+flag_aerosol=6 
+### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b0=1.7
+### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b1=0.2
+#
+# Parametre de lecture de l'ozone
+#
+# Allowed values are 0, 1 and 2
+# 0: do not read an ozone climatology
+# 1: read a single ozone climatology that will be used day and night
+# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
+read_climoz=2
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/namelist_pisces_ORCA2
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/namelist_pisces_ORCA2	(revision 1549)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/namelist_pisces_ORCA2	(revision 1550)
@@ -15,5 +15,5 @@
 &nampisext     !   air-sea exchange
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   atcco2     = 0.36886500E+03 ! atmospheric pCO2
+   atcco2     = 0.36886500E+03 ! AUTO - atmospheric pCO2
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/output.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/output.def	(revision 1549)
+++ 	(revision )
@@ -1,60 +1,0 @@
-#
-# Parametres fichiers de sortie
-#
-# Noms des fichiers
-phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
-# Sortir ou non les fichiers
-phys_out_filekeys=       n       n       n        n         n         n
-# Niveaux de sorties
-phys_out_filelevels=     5       2       2        5         5         5
-### Type de fichier : global (n) ou stations (y)
-phys_out_filestations =  n       n       n        n         n         y
-### Frequences des sorties
-phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
-#
-#
-# Parametres niveau de sorties differents fichiers
-#
-### parametres pour hist*NMC.nc
-#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
-#                histdayNMC: 8 ou 17
-lev_histdayNMC=8
-### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
-ok_histNMC = y, n, n
-
-#
-# Parametres simulateur COSP (CFMIP Observational Simulator Package)
-#
-### ok_cosp=y/n flag simulateur COSP
-ok_cosp=n
-### freq_COSP = frequence d'appel de COSP en secondes
-freq_COSP=10800.
-### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
-ok_mensuelCOSP=y
-### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
-ok_journeCOSP=y
-### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
-ok_hfCOSP=n
-
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=_ecrit-ISCCP_
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
-
-
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/output.def_high
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/output.def_high	(revision 1550)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/output.def_high	(revision 1550)
@@ -0,0 +1,131 @@
+#
+# Parametres fichiers de sortie
+#
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       5       5        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
+#
+#
+### variables niveaux pressions 100, 50, 10 hPa a 3h-inst - F.Lott
+flag_t100       = 1, 7, 7, 5, 10, 10
+flag_u100       = 1, 7, 7, 5, 10, 10
+flag_v100       = 1, 7, 7, 5, 10, 10
+flag_w100       = 1, 7, 7, 5, 10, 10
+flag_t50        = 1, 7, 7, 5, 10, 10
+flag_u50        = 1, 7, 7, 5, 10, 10
+flag_v50        = 1, 7, 7, 5, 10, 10
+flag_w50        = 1, 7, 7, 5, 10, 10
+flag_t10        = 1, 7, 7, 5, 10, 10
+flag_u10        = 1, 7, 7, 5, 10, 10
+flag_v10        = 1, 7, 7, 5, 10, 10
+flag_w10        = 1, 7, 7, 5, 10, 10
+# more variables for level 5 histday/month: vitw and pres
+# Vertical wind
+flag_vitw         =  2, 3, 7, 6, 6, 6
+# Air pressure
+flag_pres         =  2, 3, 7, 6, 6, 6
+# w500 for histday
+flag_w500         =  1, 5, 3, 10, 10, 10
+# t700 for histday
+flag_t700         =  1, 5, 3, 10, 10, 10
+# Cloud fraction
+flag_rneb         =  2, 5, 10, 5, 10, 10
+# Aga sortie avec niveau 2
+flag_Aga          =  2, 10, 10, 10, 10, 10
+# niveaux maximum 5 mensuel pour variables CFMIP
+flag_rlu          =  5, 10, 10, 10, 10, 10
+flag_rsu          =  5, 10, 10, 10, 10, 10
+flag_rld          =  5, 10, 10, 10, 10, 10
+flag_rsd          =  5, 10, 10, 10, 10, 10
+flag_rlucs        =  5, 10, 10, 10, 10, 10
+flag_rsucs        =  5, 10, 10, 10, 10, 10
+flag_rldcs        =  5, 10, 10, 10, 10, 10
+flag_rsdcs        =  5, 10, 10, 10, 10, 10
+flag_tnt          =  5, 10, 10, 10, 10, 10
+flag_dtdyn        =  4, 10, 10, 10, 10, 10
+flag_dtphy        =  4, 10, 10, 10, 10, 10
+flag_dtlschr      =  5, 10, 10, 10, 10, 10
+flag_tntr         =  5, 10, 10, 10, 10, 10
+flag_tntc         =  5, 10, 10, 10, 10, 10
+flag_tntscpbl     =  5, 10, 10, 10, 10, 10
+flag_tnhus        =  5, 10, 10, 10, 10, 10
+flag_dqdyn        =  4, 10, 10, 10, 10, 10
+flag_tnhusc       =  5, 10, 10, 10, 10, 10
+flag_dqvdf        =  5, 10, 10, 10, 10, 10
+flag_tnhusscpbl   =  5, 10, 10, 10, 10, 10
+flag_dqphy        =  2, 10, 10, 10, 10, 10
+flag_evu          =  5, 10, 10, 10, 10, 10
+flag_kz           =  4, 10, 10, 10, 10, 10
+###
+# more variables for t tendency monthly
+###
+flag_dtvdf        =  5, 10, 10, 10, 10, 10
+flag_dteva        =  5, 10, 10, 10, 10, 10
+flag_dtcon        =  4, 10, 10, 10, 10, 10
+flag_dtajs        =  4, 10, 10, 10, 10, 10
+flag_dtlsc        =  4, 10, 10, 10, 10, 10
+flag_dtoro        =  4, 10, 10, 10, 10, 10
+flag_dtlif        =  4, 10, 10, 10, 10, 10
+flag_dthin        =  4, 10, 10, 10, 10, 10
+flag_dtec         =  4, 10, 10, 10, 10, 10
+### more variables for q tendency monthly
+flag_dqeva        =  5, 10, 10, 10, 10, 10
+flag_dqcon        =  4, 10, 10, 10, 10, 10
+flag_dqajs        =  4, 10, 10, 10, 10, 10
+flag_dqlsc        =  5, 10, 10, 10, 10, 10
+### nouvelle physique monthly
+flag_dtthe        =  4, 10, 10, 10, 10, 10
+flag_dtwak        =  4, 5, 10, 10, 10, 10
+flag_dqthe        =  4, 10, 10, 10, 10, 10
+flag_dqwak        =  4, 5, 10, 10, 10, 10
+flag_ftime_th     =  4, 10, 10, 5, 10, 10
+#
+# Parametres niveau de sorties differents fichiers
+#
+### parametres pour hist*NMC.nc
+#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
+#                histdayNMC: 8 ou 17
+lev_histdayNMC=8
+### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
+ok_histNMC = y, n, n
+
+#
+# Parametres simulateur COSP (CFMIP Observational Simulator Package)
+#
+### ok_cosp=y/n flag simulateur COSP
+ok_cosp=n
+### freq_COSP = frequence d'appel de COSP en secondes
+freq_COSP=10800.
+### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
+ok_mensuelCOSP=y
+### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
+ok_journeCOSP=y
+### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
+ok_hfCOSP=n
+#
+# Parametres simulateur ISCCP
+#
+### ok_isccp=y/n flag simulateur ISCCP
+ok_isccp=n
+### freqin_isccp = frequence input en secondes du simulateur ISCCP
+freq_ISCCP=10800.
+### freqout_isccp = frequence output en jours du simulateur ISCCP
+ecrit_ISCCP=_ecrit-ISCCP_
+### top_height = flag choix calcul nuages par le simulateur en utilisant 
+# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
+# - top_height = 1 -> algo IR-VIS
+# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
+# - top_height = 3 -> algo IR
+top_height = 1
+### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
+# - overlap=1    Max overlap
+# - overlap=2    Random overlap
+# - overlap=3    Max/Random overlap
+overlap = 3
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/output.def_low
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/output.def_low	(revision 1550)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/output.def_low	(revision 1550)
@@ -0,0 +1,60 @@
+#
+# Parametres fichiers de sortie
+#
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       2       2        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
+#
+#
+# Parametres niveau de sorties differents fichiers
+#
+### parametres pour hist*NMC.nc
+#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
+#                histdayNMC: 8 ou 17
+lev_histdayNMC=8
+### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
+ok_histNMC = y, n, n
+
+#
+# Parametres simulateur COSP (CFMIP Observational Simulator Package)
+#
+### ok_cosp=y/n flag simulateur COSP
+ok_cosp=n
+### freq_COSP = frequence d'appel de COSP en secondes
+freq_COSP=10800.
+### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
+ok_mensuelCOSP=y
+### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
+ok_journeCOSP=y
+### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
+ok_hfCOSP=n
+
+#
+# Parametres simulateur ISCCP
+#
+### ok_isccp=y/n flag simulateur ISCCP
+ok_isccp=n
+### freqin_isccp = frequence input en secondes du simulateur ISCCP
+freq_ISCCP=10800.
+### freqout_isccp = frequence output en jours du simulateur ISCCP
+ecrit_ISCCP=_ecrit-ISCCP_
+### top_height = flag choix calcul nuages par le simulateur en utilisant 
+# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
+# - top_height = 1 -> algo IR-VIS
+# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
+# - top_height = 3 -> algo IR
+top_height = 1
+### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
+# - overlap=1    Max overlap
+# - overlap=2    Random overlap
+# - overlap=3    Max/Random overlap
+overlap = 3
+
+
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/output.def_medium
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/output.def_medium	(revision 1550)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/PARAM/output.def_medium	(revision 1550)
@@ -0,0 +1,131 @@
+#
+# Parametres fichiers de sortie
+#
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       5       2        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
+#
+#
+### variables niveaux pressions 100, 50, 10 hPa a 3h-inst - F.Lott
+flag_t100       = 1, 7, 7, 5, 10, 10
+flag_u100       = 1, 7, 7, 5, 10, 10
+flag_v100       = 1, 7, 7, 5, 10, 10
+flag_w100       = 1, 7, 7, 5, 10, 10
+flag_t50        = 1, 7, 7, 5, 10, 10
+flag_u50        = 1, 7, 7, 5, 10, 10
+flag_v50        = 1, 7, 7, 5, 10, 10
+flag_w50        = 1, 7, 7, 5, 10, 10
+flag_t10        = 1, 7, 7, 5, 10, 10
+flag_u10        = 1, 7, 7, 5, 10, 10
+flag_v10        = 1, 7, 7, 5, 10, 10
+flag_w10        = 1, 7, 7, 5, 10, 10
+#
+# more variables for level 5 : vitw and pres
+# Vertical wind
+flag_vitw         =  2, 3, 7, 6, 6, 6
+# Air pressure
+flag_pres         =  2, 3, 7, 6, 6, 6
+# w500 for histday
+flag_w500         =  1, 5, 3, 10, 10, 10
+# t700 for histday
+flag_t700         =  1, 5, 3, 10, 10, 10
+# Cloud fraction
+flag_rneb         =  2, 5, 10, 5, 10, 10
+# Aga sortie avec niveau 2
+flag_Aga          =  2, 10, 10, 10, 10, 10
+# niveaux maximum 5 mensuel pour variables CFMIP
+flag_rlu          =  5, 10, 10, 10, 10, 10
+flag_rsu          =  5, 10, 10, 10, 10, 10
+flag_rld          =  5, 10, 10, 10, 10, 10
+flag_rsd          =  5, 10, 10, 10, 10, 10
+flag_rlucs        =  5, 10, 10, 10, 10, 10
+flag_rsucs        =  5, 10, 10, 10, 10, 10
+flag_rldcs        =  5, 10, 10, 10, 10, 10
+flag_rsdcs        =  5, 10, 10, 10, 10, 10
+flag_tnt          =  5, 10, 10, 10, 10, 10
+flag_dtdyn        =  4, 10, 10, 10, 10, 10
+flag_dtphy        =  4, 10, 10, 10, 10, 10
+flag_dtlschr      =  5, 10, 10, 10, 10, 10
+flag_tntr         =  5, 10, 10, 10, 10, 10
+flag_tntc         =  5, 10, 10, 10, 10, 10
+flag_tntscpbl     =  5, 10, 10, 10, 10, 10
+flag_tnhus        =  5, 10, 10, 10, 10, 10
+flag_dqdyn        =  4, 10, 10, 10, 10, 10
+flag_tnhusc       =  5, 10, 10, 10, 10, 10
+flag_dqvdf        =  5, 10, 10, 10, 10, 10
+flag_tnhusscpbl   =  5, 10, 10, 10, 10, 10
+flag_dqphy        =  2, 10, 10, 10, 10, 10
+flag_evu          =  5, 10, 10, 10, 10, 10
+flag_kz           =  4, 10, 10, 10, 10, 10
+###
+# more variables for t tendency monthly
+###
+flag_dtvdf        =  5, 10, 10, 10, 10, 10
+flag_dteva        =  5, 10, 10, 10, 10, 10
+flag_dtcon        =  4, 10, 10, 10, 10, 10
+flag_dtajs        =  4, 10, 10, 10, 10, 10
+flag_dtlsc        =  4, 10, 10, 10, 10, 10
+flag_dtoro        =  4, 10, 10, 10, 10, 10
+flag_dtlif        =  4, 10, 10, 10, 10, 10
+flag_dthin        =  4, 10, 10, 10, 10, 10
+flag_dtec         =  4, 10, 10, 10, 10, 10
+### more variables for q tendency monthly
+flag_dqeva        =  5, 10, 10, 10, 10, 10
+flag_dqcon        =  4, 10, 10, 10, 10, 10
+flag_dqajs        =  4, 10, 10, 10, 10, 10
+flag_dqlsc        =  5, 10, 10, 10, 10, 10
+### nouvelle physique monthly
+flag_dtthe        =  4, 10, 10, 10, 10, 10
+flag_dtwak        =  4, 5, 10, 10, 10, 10
+flag_dqthe        =  4, 10, 10, 10, 10, 10
+flag_dqwak        =  4, 5, 10, 10, 10, 10
+flag_ftime_th     =  4, 10, 10, 5, 10, 10
+#
+# Parametres niveau de sorties differents fichiers
+#
+### parametres pour hist*NMC.nc
+#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
+#                histdayNMC: 8 ou 17
+lev_histdayNMC=8
+### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
+ok_histNMC = y, n, n
+#
+# Parametres simulateur COSP (CFMIP Observational Simulator Package)
+#
+### ok_cosp=y/n flag simulateur COSP
+ok_cosp=n
+### freq_COSP = frequence d'appel de COSP en secondes
+freq_COSP=10800.
+### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
+ok_mensuelCOSP=y
+### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
+ok_journeCOSP=y
+### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
+ok_hfCOSP=n
+#
+# Parametres simulateur ISCCP
+#
+### ok_isccp=y/n flag simulateur ISCCP
+ok_isccp=n
+### freqin_isccp = frequence input en secondes du simulateur ISCCP
+freq_ISCCP=10800.
+### freqout_isccp = frequence output en jours du simulateur ISCCP
+ecrit_ISCCP=_ecrit-ISCCP_
+### top_height = flag choix calcul nuages par le simulateur en utilisant 
+# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
+# - top_height = 1 -> algo IR-VIS
+# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
+# - top_height = 3 -> algo IR
+top_height = 1
+### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
+# - overlap=1    Max overlap
+# - overlap=2    Random overlap
+# - overlap=3    Max/Random overlap
+overlap = 3
